WKSRecord.Protocol (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class WKSRecord.Protocol

- java.lang.Object
- - org.xbill.DNS.WKSRecord.Protocol

- Enclosing class:
    WKSRecord

      public static class WKSRecord.Protocol
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ARGUS` ARGUS
    `static int` | `BBN_RCC_MON` BBN RCC Monitoring
    `static int` | `BR_SAT_MON` Backroom SATNET Monitoring
    `static int` | `CFTP` CFTP
    `static int` | `CHAOS` Chaos
    `static int` | `DCN_MEAS` DCN Measurement Subsystems
    `static int` | `EGP` Exterior Gateway Protocol
    `static int` | `EMCON` EMCON
    `static int` | `GGP` Gateway-to-Gateway
    `static int` | `HMP` Host Monitoring
    `static int` | `ICMP` Internet Control Message
    `static int` | `IGMP` Internet Group Management
    `static int` | `IGP` any private interior gateway
    `static int` | `IPCV` Internet Packet Core Utility
    `static int` | `IPPC` Internet Pluribus Packet Core
    `static int` | `IRTP` Internet Reliable Transaction
    `static int` | `ISO_TP4` ISO Transport Protocol Class 4
    `static int` | `LEAF_1` Leaf-1
    `static int` | `LEAF_2` Leaf-2
    `static int` | `MERIT_INP` MERIT Internodal Protocol
    `static int` | `MFE_NSP` MFE Network Services Protocol
    `static int` | `MIT_SUBNET` MIT Subnet Support
    `static int` | `MUX` Multiplexing
    `static int` | `NETBLT` Bulk Data Transfer Protocol
    `static int` | `NVP_II` Network Voice Protocol
    `static int` | `PRM` Packet Radio Measurement
    `static int` | `PUP` PUP
    `static int` | `RDP` Reliable Data Protocol
    `static int` | `RVD` MIT Remote Virtual Disk Protocol
    `static int` | `SAT_EXPAK` SATNET and Backroom EXPAK
    `static int` | `SAT_MON` SATNET Monitoring
    `static int` | `SEP` Sequential Exchange Protocol
    `static int` | `ST` Stream
    `static int` | `TCP` Transmission Control
    `static int` | `TRUNK_1` Trunk-1
    `static int` | `TRUNK_2` Trunk-2
    `static int` | `UCL` UCL
    `static int` | `UDP` User Datagram
    `static int` | `WB_EXPAK` WIDEBAND EXPAK
    `static int` | `WB_MON` WIDEBAND Monitoring
    `static int` | `XNET` Cross Net Debugger
    `static int` | `XNS_IDP` XEROX NS IDP

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `string(int type)` Converts an IP protocol value into its textual representation
    `static int` | `value(String s)` Converts a textual representation of an IP protocol into its numeric code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ICMP

          public static final int ICMP

      Internet Control Message
      See Also:
        Constant Field Values

    - #### IGMP

          public static final int IGMP

      Internet Group Management
      See Also:
        Constant Field Values

    - #### GGP

          public static final int GGP

      Gateway-to-Gateway
      See Also:
        Constant Field Values

    - #### ST

          public static final int ST

      Stream
      See Also:
        Constant Field Values

    - #### TCP

          public static final int TCP

      Transmission Control
      See Also:
        Constant Field Values

    - #### UCL

          public static final int UCL

      UCL
      See Also:
        Constant Field Values

    - #### EGP

          public static final int EGP

      Exterior Gateway Protocol
      See Also:
        Constant Field Values

    - #### IGP

          public static final int IGP

      any private interior gateway
      See Also:
        Constant Field Values

    - #### BBN_RCC_MON

          public static final int BBN_RCC_MON

      BBN RCC Monitoring
      See Also:
        Constant Field Values

    - #### NVP_II

          public static final int NVP_II

      Network Voice Protocol
      See Also:
        Constant Field Values

    - #### PUP

          public static final int PUP

      PUP
      See Also:
        Constant Field Values

    - #### ARGUS

          public static final int ARGUS

      ARGUS
      See Also:
        Constant Field Values

    - #### EMCON

          public static final int EMCON

      EMCON
      See Also:
        Constant Field Values

    - #### XNET

          public static final int XNET

      Cross Net Debugger
      See Also:
        Constant Field Values

    - #### CHAOS

          public static final int CHAOS

      Chaos
      See Also:
        Constant Field Values

    - #### UDP

          public static final int UDP

      User Datagram
      See Also:
        Constant Field Values

    - #### MUX

          public static final int MUX

      Multiplexing
      See Also:
        Constant Field Values

    - #### DCN_MEAS

          public static final int DCN_MEAS

      DCN Measurement Subsystems
      See Also:
        Constant Field Values

    - #### HMP

          public static final int HMP

      Host Monitoring
      See Also:
        Constant Field Values

    - #### PRM

          public static final int PRM

      Packet Radio Measurement
      See Also:
        Constant Field Values

    - #### XNS_IDP

          public static final int XNS_IDP

      XEROX NS IDP
      See Also:
        Constant Field Values

    - #### TRUNK_1

          public static final int TRUNK_1

      Trunk-1
      See Also:
        Constant Field Values

    - #### TRUNK_2

          public static final int TRUNK_2

      Trunk-2
      See Also:
        Constant Field Values

    - #### LEAF_1

          public static final int LEAF_1

      Leaf-1
      See Also:
        Constant Field Values

    - #### LEAF_2

          public static final int LEAF_2

      Leaf-2
      See Also:
        Constant Field Values

    - #### RDP

          public static final int RDP

      Reliable Data Protocol
      See Also:
        Constant Field Values

    - #### IRTP

          public static final int IRTP

      Internet Reliable Transaction
      See Also:
        Constant Field Values

    - #### ISO_TP4

          public static final int ISO_TP4

      ISO Transport Protocol Class 4
      See Also:
        Constant Field Values

    - #### NETBLT

          public static final int NETBLT

      Bulk Data Transfer Protocol
      See Also:
        Constant Field Values

    - #### MFE_NSP

          public static final int MFE_NSP

      MFE Network Services Protocol
      See Also:
        Constant Field Values

    - #### MERIT_INP

          public static final int MERIT_INP

      MERIT Internodal Protocol
      See Also:
        Constant Field Values

    - #### SEP

          public static final int SEP

      Sequential Exchange Protocol
      See Also:
        Constant Field Values

    - #### CFTP

          public static final int CFTP

      CFTP
      See Also:
        Constant Field Values

    - #### SAT_EXPAK

          public static final int SAT_EXPAK

      SATNET and Backroom EXPAK
      See Also:
        Constant Field Values

    - #### MIT_SUBNET

          public static final int MIT_SUBNET

      MIT Subnet Support
      See Also:
        Constant Field Values

    - #### RVD

          public static final int RVD

      MIT Remote Virtual Disk Protocol
      See Also:
        Constant Field Values

    - #### IPPC

          public static final int IPPC

      Internet Pluribus Packet Core
      See Also:
        Constant Field Values

    - #### SAT_MON

          public static final int SAT_MON

      SATNET Monitoring
      See Also:
        Constant Field Values

    - #### IPCV

          public static final int IPCV

      Internet Packet Core Utility
      See Also:
        Constant Field Values

    - #### BR_SAT_MON

          public static final int BR_SAT_MON

      Backroom SATNET Monitoring
      See Also:
        Constant Field Values

    - #### WB_MON

          public static final int WB_MON

      WIDEBAND Monitoring
      See Also:
        Constant Field Values

    - #### WB_EXPAK

          public static final int WB_EXPAK

      WIDEBAND EXPAK
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### string

          public static String string(int type)

      Converts an IP protocol value into its textual representation

    - #### value

          public static int value(String s)

      Converts a textual representation of an IP protocol into its numeric code. Integers in the range 0..255 are also accepted.
      Parameters:
        `s` - The textual representation of the protocol
      Returns:
        The protocol code, or -1 on error.